List campaigns
curl --request GET \
--url https://api.lehar.ai/ca/api/v0/campaigns \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.lehar.ai/ca/api/v0/campaigns"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.lehar.ai/ca/api/v0/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lehar.ai/ca/api/v0/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lehar.ai/ca/api/v0/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lehar.ai/ca/api/v0/campaigns")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lehar.ai/ca/api/v0/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "campaign_01EXAMPLE",
"customer_id": "customer_01EXAMPLE",
"created_by_user_id": "user_01EXAMPLE",
"voice_agent_id": "agent_sales_hi",
"whatsapp_agent_id": null,
"from_phone_number_id": null,
"whatsapp_sender_id": null,
"name": "March renewals",
"description": null,
"campaign_type": "voice",
"status": "running",
"timezone": "Asia/Kolkata",
"schedule": {
"business_hours": [
{
"days": [
"mon",
"tue",
"wed",
"thu",
"fri"
],
"start": "09:00",
"end": "18:00"
}
],
"max_attempts": 3,
"retry_delay_minutes": 120
},
"workflow": {},
"variables_schema": {},
"metadata": {},
"cloned_from_campaign_id": null,
"started_at": "2026-05-22T11:30:00Z",
"completed_at": null,
"created_at": "2026-05-22T10:00:00Z",
"updated_at": "2026-05-22T11:30:00Z"
}
],
"pagination": {
"limit": 20,
"offset": 0,
"total": 1
}
}{
"error": {
"code": "invalid_request",
"message": "status is not valid"
}
}Campaigns
List campaigns
Lists the workspace’s campaigns, newest first. Filter with status, campaign_type, and/or agent_id. Scope campaigns:read.
GET
/
campaigns
List campaigns
curl --request GET \
--url https://api.lehar.ai/ca/api/v0/campaigns \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.lehar.ai/ca/api/v0/campaigns"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.lehar.ai/ca/api/v0/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lehar.ai/ca/api/v0/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lehar.ai/ca/api/v0/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lehar.ai/ca/api/v0/campaigns")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lehar.ai/ca/api/v0/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "campaign_01EXAMPLE",
"customer_id": "customer_01EXAMPLE",
"created_by_user_id": "user_01EXAMPLE",
"voice_agent_id": "agent_sales_hi",
"whatsapp_agent_id": null,
"from_phone_number_id": null,
"whatsapp_sender_id": null,
"name": "March renewals",
"description": null,
"campaign_type": "voice",
"status": "running",
"timezone": "Asia/Kolkata",
"schedule": {
"business_hours": [
{
"days": [
"mon",
"tue",
"wed",
"thu",
"fri"
],
"start": "09:00",
"end": "18:00"
}
],
"max_attempts": 3,
"retry_delay_minutes": 120
},
"workflow": {},
"variables_schema": {},
"metadata": {},
"cloned_from_campaign_id": null,
"started_at": "2026-05-22T11:30:00Z",
"completed_at": null,
"created_at": "2026-05-22T10:00:00Z",
"updated_at": "2026-05-22T11:30:00Z"
}
],
"pagination": {
"limit": 20,
"offset": 0,
"total": 1
}
}{
"error": {
"code": "invalid_request",
"message": "status is not valid"
}
}Authorizations
ApiKeyAuthBearerAuth
Query Parameters
Available options:
draft, published, scheduled, running, paused, completed, failed, cancelled Available options:
voice, whatsapp, whatsapp_voice Filter to campaigns bound to this agent.
Required range:
x <= 100Response
Paginated campaigns

